{"swagger":"2.0","info":{"version":"v4","title":"V4 API"},"host":"developer.eposnowhq.com","schemes":["https"],"paths":{"/api/v4/AppSettings":{"get":{"tags":["AppSettings"],"summary":"Retrieve token specific settings","description":"Use this method to retrieve custom user specific settings. The settings are registered for your Auth Token.","operationId":"AppSettingsGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"string"}}}},"post":{"tags":["AppSettings"],"summary":"Save token specific settings","description":"Use this method to store custom user specific settings. The settings are registered for your Auth Token.","operationId":"AppSettingsPOSTBysettings","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"settings","in":"body","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","schema":{"type":"string"}}}}},"/api/v4/BatchUpdate":{"get":{"tags":["BatchUpdate"],"summary":"Use this endpoint to retrieve data for batch updates.","operationId":"BatchUpdateGETBybatchIdAndentityTypeAndoperationAndpage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"batchId","in":"query","description":"The Id of the batch import (can be found in batch import webhook body).","required":true,"type":"integer","format":"int32"},{"name":"entityType","in":"query","description":"","required":true,"type":"integer","format":"int32","enum":[1,2,3,4,5,6,7,8]},{"name":"operation","in":"query","description":"","required":true,"type":"integer","format":"int32","enum":[1,2,3,4]},{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"object"}}}}}},"/api/v4/Brand":{"get":{"tags":["Brand"],"summary":"Get all Brands","description":"Gets all the brands. \r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"BrandGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Brand"}}}}},"put":{"tags":["Brand"],"summary":"Update Brands","description":"Use this method to update brands.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"BrandPUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/BrandUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Brand"}}},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}},"post":{"tags":["Brand"],"summary":"Create Brands","description":"Use this method to create brands.","operationId":"BrandPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/BrandCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/Brand"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["Brand"],"summary":"Delete Brands","description":"Use this method to delete brands.","operationId":"BrandDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Brands deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/Brand/{id}":{"get":{"tags":["Brand"],"summary":"Get a Brand by id","description":"Gets a single Brand for the given id.","operationId":"BrandGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Brand Id. Cannot be less than 0.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Brand"}}}}}},"/api/v4/Category":{"get":{"tags":["Category"],"summary":"Get all Categories","description":"Use this method to get all parent categories and all their children. \r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"CategoryGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Category"}}}}},"put":{"tags":["Category"],"summary":"Update Categories","description":"Use this method to update categories. \r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"CategoryPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CategoryUpdateRequest"}}}],"responses":{"200":{"description":"Categories updated OK.","schema":{"type":"array","items":{"$ref":"#/definitions/Category"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["Category"],"summary":"Create Categories","description":"Use this method to create categories. Nested categories cannot be created in a single method call.","operationId":"CategoryPOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CategoryCreateRequest"}}}],"responses":{"201":{"description":"Categorys created OK.","schema":{"type":"array","items":{"$ref":"#/definitions/Category"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["Category"],"summary":"Delete Categories","description":"Use this method to delete categories. Deleting a parent category will delete the children categories.","operationId":"CategoryDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Categories deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/Category/{id}":{"get":{"tags":["Category"],"summary":"Get Category by id","description":"Use this method to find a single category. If the category is a parent at the root, all the children is returned.\r\nIf the category is a parent as well as a child to another category, parent of the search category is not returned.","operationId":"CategoryGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Category"}},"400":{"description":"Category being search is deleted or does not belong to the user.","schema":{"type":"string"}}}}},"/api/v4/CategoryImage/UploadStatus/{uploadTransactionId}":{"get":{"tags":["CategoryImage"],"operationId":"CategoryImageGETByuploadTransactionId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"uploadTransactionId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ImageUploadResult"}}}}}},"/api/v4/CategoryImage":{"post":{"tags":["CategoryImage"],"summary":"Create Category Images","description":"Use this method to add or update a category image. Once this has been created, the actual image must be uploaded to S3 using the pre-signed URL.\r\n- AWS docs: https://docs.aws.amazon.com/AmazonS3/latest/dev/PresignedUrlUploadObject.html\r\n- If an image is marked as MainImage=true then it will be renamed to {CompanyId}{CategoryId}CategoryImg{FileType}\r\ne.g. abc123ab-ab12-ab1-ab12-abcd1234abcd99CategoryImg.png\r\n- Any images that are larger than 2048 x 2048 will be resized","operationId":"CategoryImagePOSTBycategoryImageUpsertRequests","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"categoryImageUpsertRequests","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CategoryImageUpsertRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/PreSignedCategoryImageTransactionResponse"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["CategoryImage"],"summary":"Delete Category Images","operationId":"CategoryImageDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"NoContent"},"400":{"description":"Validation / Invalid ID error.","schema":{"type":"string"}}}}},"/api/v4/CategoryReferenceCode/Category/{id}":{"get":{"tags":["CategoryReferenceCode"],"summary":"Get a CategoryReferenceCode by category id","description":"Use this method to get a category reference code by Category id.","operationId":"CategoryReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CategoryReferenceCode"}}}}},"/api/v4/CategoryReferenceCode":{"get":{"tags":["CategoryReferenceCode"],"summary":"Get all CategoryReferenceCodes","description":"Use this method to get all the category reference codes.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"CategoryReferenceCodeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CategoryReferenceCode"}}}}},"put":{"tags":["CategoryReferenceCode"],"summary":"Update CategoryReferenceCodes","description":"Use this method to update CategoryReferenceCodes.  \r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"CategoryReferenceCodePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CategoryReferenceCodeUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CategoryReferenceCode"}}},"400":{"description":"CategoryReferenceCode id is deleted or does not belong to the user.","schema":{"type":"string"}}}},"post":{"tags":["CategoryReferenceCode"],"summary":"Create CategoryReferenceCodes","description":"Use this method to create CategoryReferenceCodes.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"CategoryReferenceCodePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CategoryReferenceCodeCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/CategoryReferenceCode"}}},"400":{"description":"Category id for the reference code is deleted or does not belong to the user.","schema":{"type":"string"}}}},"delete":{"tags":["CategoryReferenceCode"],"summary":"Delete CategoryReferenceCodes","description":"Use this method to delete CategoryReferenceCodes.","operationId":"CategoryReferenceCodeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Reference Codes deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/CategoryReferenceCode/{id}":{"get":{"tags":["CategoryReferenceCode"],"summary":"Get a CategoryReferenceCode by id","description":"Use this method to get a category reference code.","operationId":"CategoryReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CategoryReferenceCode"}}}}},"/api/v4/Clocking":{"get":{"tags":["Clocking"],"summary":"Get all Clockings","description":"Use this method to get all clockings.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ClockingGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Clocking"}}}}}},"/api/v4/Clocking/{id}":{"get":{"tags":["Clocking"],"summary":"Get a Clocking by id","description":"Use this method to find a single clocking.","operationId":"ClockingGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Clocking"}}},"400":{"description":"Clocking being search is deleted or does not belong to the user.","schema":{"type":"string"}}}}},"/api/v4/ClockingReferenceCode/Clocking/{id}":{"get":{"tags":["ClockingReferenceCode"],"summary":"Get a ClockingReferenceCode by clocking id","description":"Use this method to get a clocking reference code by clocking id.","operationId":"ClockingReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ClockingReferenceCode"}}}}},"/api/v4/ClockingReferenceCode":{"get":{"tags":["ClockingReferenceCode"],"summary":"Get all ClockingReferenceCodes","description":"Use this method to get all the clocking reference codes.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference codes methods always deal with the Reference codes registered with the authorizing token.","operationId":"ClockingReferenceCodeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingReferenceCode"}}}}},"put":{"tags":["ClockingReferenceCode"],"summary":"Update ClockingReferenceCodes","description":"Use this method to update ClockingReferenceCodes. \r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value. \r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"ClockingReferenceCodePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ClockingReferenceCodeUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingReferenceCode"}}},"400":{"description":"ClockingReferenceCode id is deleted or does not belong to the user.","schema":{"type":"string"}}}},"post":{"tags":["ClockingReferenceCode"],"summary":"Create ClockingReferenceCodes","description":"Use this method to create ClockingReferenceCodes.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"ClockingReferenceCodePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ClockingReferenceCodeCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingReferenceCode"}}},"400":{"description":"Clocking id for the reference code is deleted or does not belong to the user.","schema":{"type":"string"}}}},"delete":{"tags":["ClockingReferenceCode"],"summary":"Delete ClockingReferenceCodes","description":"Use this method to delete ClockingReferenceCodes.","operationId":"ClockingReferenceCodeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Reference Codes deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/ClockingReferenceCode/{id}":{"get":{"tags":["ClockingReferenceCode"],"summary":"Get a ClockingReferenceCode by id","description":"- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ClockingReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ClockingReferenceCode"}}}}},"/api/v4/ClockingType/{id}":{"get":{"tags":["ClockingType"],"summary":"Get a Clocking Type by id","description":"Use this method to look up a clocking type.","operationId":"ClockingTypeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"ClockingType returned OK.","schema":{"$ref":"#/definitions/ClockingType"}},"400":{"description":"Invalid ClockingType Id.","schema":{"type":"string"}}}}},"/api/v4/ClockingType":{"get":{"tags":["ClockingType"],"summary":"Get all ClockingTypes","description":"Use this method to get multiple clocking types.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ClockingTypeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Found ClockingTypes returned.","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingType"}}}}},"put":{"tags":["ClockingType"],"summary":"Update Clocking Types.","description":"Use this method to update clocking types.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"ClockingTypePUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ClockingTypeUpdateRequest"}}}],"responses":{"200":{"description":"Clocking Types updated OK.","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingType"}}},"400":{"description":"Invalid ClockingType Id.","schema":{"type":"string"}}}},"post":{"tags":["ClockingType"],"summary":"Create Clocking Types","description":"Use this method to create clocking types.","operationId":"ClockingTypePOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ClockingTypeCreateRequest"}}}],"responses":{"201":{"description":"ClockingTypes created OK.","schema":{"type":"array","items":{"$ref":"#/definitions/ClockingType"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["ClockingType"],"summary":"Delete ClockingTypes","description":"Use this method to delete clocking types.","operationId":"ClockingTypeDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Clocking Types deleted OK."},"400":{"description":"Invalid ClockingType Id.","schema":{"type":"string"}}}}},"/api/v4/Colour":{"get":{"tags":["Colour"],"summary":"Get all Colours","description":"Colours are used as part of variant products. Use this method to get all colours. \r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ColourGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Colour"}}}}},"put":{"tags":["Colour"],"summary":"Update Colours","description":"Use this method to update colours.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"ColourPUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ColourUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Colour"}}},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}},"post":{"tags":["Colour"],"summary":"Create Colours","description":"Use this method to create colours.","operationId":"ColourPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ColourCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/Colour"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["Colour"],"summary":"Delete Colours","description":"Use this method to delete colours.","operationId":"ColourDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Colours deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/Colour/{id}":{"get":{"tags":["Colour"],"summary":"Get Colour by id","description":"Colours are used as part of variant products. Use this method to find a single colour.","operationId":"ColourGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Colour"}},"400":{"description":"Colour being searched is deleted or does not belong to the user.","schema":{"type":"string"}}}}},"/api/v4/Customer/GetByEmail":{"get":{"tags":["Customer"],"summary":"Get all Customers by email address","description":"Returns customers exactly matched by the given email address.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"CustomerGETByemailAndpage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"email","in":"query","required":true,"type":"string"},{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Customer"}}}}}},"/api/v4/Customer/Stats":{"get":{"tags":["Customer"],"summary":"Get referenced Customer statistics","operationId":"CustomerGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CustomerCount"}}}}},"/api/v4/Customer":{"get":{"tags":["Customer"],"summary":"Get all Customers","description":"- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"CustomerGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Customer"}}}}},"put":{"tags":["Customer"],"summary":"Update Customers","description":"Use this method to update customers.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"CustomerPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerUpdateRequest"}}}],"responses":{"200":{"description":"Customers updated OK.","schema":{"type":"array","items":{"$ref":"#/definitions/Customer"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["Customer"],"summary":"Create Customers","description":"Use this method to create customers.","operationId":"CustomerPOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerCreateRequest"}}}],"responses":{"201":{"description":"Customers created OK.","schema":{"type":"array","items":{"$ref":"#/definitions/Customer"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["Customer"],"summary":"Delete Customers","operationId":"CustomerDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Customers deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/Customer/{id}":{"get":{"tags":["Customer"],"summary":"Get Customer by id","operationId":"CustomerGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Customer"}}}}},"/api/v4/CustomerAddress/Customer/{customerId}":{"get":{"tags":["CustomerAddress"],"summary":"Get CustomerAddresses by CustomerId","description":"Use this method to get all customer addresses by customerId.","operationId":"CustomerAddressGETBycustomerId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"customerId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddress"}}}}}},"/api/v4/CustomerAddress":{"get":{"tags":["CustomerAddress"],"summary":"Get all Customer Addresses.","description":"Use this method to get many customer addresses.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"CustomerAddressGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddress"}}}}},"put":{"tags":["CustomerAddress"],"summary":"Update CustomerAddresses","description":"Use this method to update customer addresses.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.\r\nWhile each customer can hold multiple addresses only 1 can be active at the same time.\r\nActivating an inactive customer address for customer that already has an active address, will de activate the active customer.","operationId":"CustomerAddressPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddressUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddress"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["CustomerAddress"],"summary":"Create CustomerAddresses","description":"Use this method to create customer addresses.\r\nWhile each customer can hold multiple addresses only 1 can be active at the same time.\r\nCreating a new active customer address for customer that already has an active address, will de activate the existing address.","operationId":"CustomerAddressPOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddressCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerAddress"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["CustomerAddress"],"summary":"Delete CustomerAddresses","description":"Use this method to delete customer addresses.","operationId":"CustomerAddressDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Customer Addresses deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/CustomerAddress/{id}":{"get":{"tags":["CustomerAddress"],"summary":"Get a CustomerAddress by id","description":"Use this method to get a single customer address.","operationId":"CustomerAddressGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CustomerAddress"}}}}},"/api/v4/CustomerPoints":{"post":{"tags":["CustomerPoints"],"operationId":"CustomerPointsPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/CustomerPointsAddRequest"}}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/Customer"}},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/CustomerReferenceCode/Customer/{id}":{"get":{"tags":["CustomerReferenceCode"],"summary":"Get a CustomerReferenceCode by customer id","description":"Use this method to get a customer reference code by customer id.","operationId":"CustomerReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CustomerReferenceCode"}}}}},"/api/v4/CustomerReferenceCode":{"get":{"tags":["CustomerReferenceCode"],"summary":"Get all CustomerReferenceCodes","description":"Use this method to get all the customer reference codes.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"CustomerReferenceCodeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerReferenceCode"}}}}},"put":{"tags":["CustomerReferenceCode"],"summary":"Update CustomerReferenceCodes","description":"Use this method to update CustomerReferenceCodes.   \r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"CustomerReferenceCodePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerReferenceCodeUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerReferenceCode"}}},"400":{"description":"Customer id for the reference code is deleted or does not belong to the user.","schema":{"type":"string"}}}},"post":{"tags":["CustomerReferenceCode"],"summary":"Create CustomerReferenceCodes","description":"Use this method to create CustomerReferenceCodes.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"CustomerReferenceCodePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerReferenceCodeCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerReferenceCode"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["CustomerReferenceCode"],"summary":"Delete CustomerReferenceCodes","description":"Use this method to delete CustomerReferenceCodes.","operationId":"CustomerReferenceCodeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Customer Reference Codes deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/CustomerReferenceCode/{id}":{"get":{"tags":["CustomerReferenceCode"],"summary":"Get a CustomerReferenceCode by id","description":"Use this method to get a customer reference code.","operationId":"CustomerReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CustomerReferenceCode"}}}}},"/api/v4/CustomerType/Customer/{customerId}":{"get":{"tags":["CustomerType"],"summary":"Get CustomerType by CustomerId","description":"Use this method to get all customer type by customerId.","operationId":"CustomerTypeGETBycustomerId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"customerId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerType"}}}}}},"/api/v4/CustomerType":{"get":{"tags":["CustomerType"],"summary":"Get all Customer types","description":"- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"CustomerTypeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerType"}}}}},"put":{"tags":["CustomerType"],"summary":"Update Customer types","description":"Use this method to update customer types.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"CustomerTypePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerTypeUpdateRequest"}}}],"responses":{"200":{"description":"Customer type updated OK.","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerType"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["CustomerType"],"summary":"Create Customer types","description":"Use this method to create customer types.","operationId":"CustomerTypePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/CustomerTypeCreateRequest"}}}],"responses":{"201":{"description":"Customer types created OK.","schema":{"type":"array","items":{"$ref":"#/definitions/CustomerType"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["CustomerType"],"summary":"Delete Customer types","operationId":"CustomerTypeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"Customer types deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/CustomerType/{id}":{"get":{"tags":["CustomerType"],"summary":"Get Customer type by id","operationId":"CustomerTypeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/CustomerType"}}}}},"/api/v4/Device/LocationHistory":{"get":{"tags":["Device"],"summary":"Get the location history for all devices","description":"When a Device's Location is changed, it is audited. Use this method to see all the timestamped changes that have been made.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"DeviceGETBypageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DeviceLocationHistory"}}}}}},"/api/v4/Device/{deviceId}/LocationHistory":{"get":{"tags":["Device"],"summary":"Get the location history for a single device","description":"When a Device's Location is changed, it is audited. Use this method to see all the timestamped changes that have been made for a single Device.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"DeviceGETBydeviceIdAndpageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"deviceId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DeviceLocationHistory"}}}}}},"/api/v4/Device":{"get":{"tags":["Device"],"summary":"Get all devices","description":"- If devicesForAllLocations is not supplied or set to false, then only devices for your token's location will be returned.\r\n- If includeDisabled is not supplied or set to false, then only enabled devices will be returned.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"DeviceGETBydevicesForAllLocationsAndincludeDisabledAndpageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"devicesForAllLocations","in":"query","required":false,"type":"boolean"},{"name":"includeDisabled","in":"query","required":false,"type":"boolean"},{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Device"}}}}}},"/api/v4/DiscountReason/{id}":{"get":{"tags":["DiscountReason"],"summary":"Get a DiscountReason by id","operationId":"DiscountReasonGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DiscountReason"}}}}},"/api/v4/DiscountReason":{"get":{"tags":["DiscountReason"],"summary":"Gets all DiscountReasons","description":"Use this method to get all discount reasons.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"DiscountReasonGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DiscountReason"}}}}},"put":{"tags":["DiscountReason"],"summary":"Update DiscountReasons","description":"Use this method to update discount reasons.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"DiscountReasonPUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DiscountReasonUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/DiscountReason"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["DiscountReason"],"summary":"Create DiscountReasons","description":"Use this method to create discount reasons.","operationId":"DiscountReasonPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DiscountReasonCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/DiscountReason"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["DiscountReason"],"summary":"Delete DiscountReasons","operationId":"DiscountReasonDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"NoContent"},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/EndOfDay":{"get":{"tags":["EndOfDay"],"summary":"Get all EndOfDays","description":"- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"EndOfDayGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDay"}}}}}},"/api/v4/EndOfDay/{id}":{"get":{"tags":["EndOfDay"],"summary":"Get EndOfDay by id","operationId":"EndOfDayGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EndOfDay"}}}}},"/api/v4/EndOfDayReferenceCode/EndOfDay/{id}":{"get":{"tags":["EndOfDayReferenceCode"],"summary":"Get a EndOfDayReferenceCode by end of day id","description":"Use this method to get a end of day reference code by end of day id.","operationId":"EndOfDayReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EndOfDayReferenceCode"}}}}},"/api/v4/EndOfDayReferenceCode":{"get":{"tags":["EndOfDayReferenceCode"],"summary":"Get all EndOfDayReferenceCodes","description":"Use this method to get all the end of day reference codes.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"EndOfDayReferenceCodeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDayReferenceCode"}}}}},"put":{"tags":["EndOfDayReferenceCode"],"summary":"Update EndOfDayReferenceCodes","description":"Use this method to update EndOfDayReferenceCodes.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"EndOfDayReferenceCodePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDayReferenceCodeUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDayReferenceCode"}}}}},"post":{"tags":["EndOfDayReferenceCode"],"summary":"Create EndOfDayReferenceCodes","description":"Use this method to create EndOfDayReferenceCodes.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"EndOfDayReferenceCodePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDayReferenceCodeCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/EndOfDayReferenceCode"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["EndOfDayReferenceCode"],"summary":"Delete EndOfDayReferenceCodes","description":"Use this method to delete ClockingReferenceCodes.","operationId":"EndOfDayReferenceCodeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"EndOfDay Reference Codes deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/EndOfDayReferenceCode/{id}":{"get":{"tags":["EndOfDayReferenceCode"],"summary":"Get a EndOfDayReferenceCode by id","description":"Use this method to get a end of day reference code.","operationId":"EndOfDayReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EndOfDayReferenceCode"}}}}},"/api/v4/LocalMessagingConfiguration/{id}":{"get":{"tags":["LocalMessagingConfiguration"],"summary":"Get's the configurations for a specific location that has KDS enabled.","operationId":"LocalMessagingConfigurationGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/LocalMessagingConfiguration"}}}}},"/api/v4/LocalMessagingConfiguration":{"get":{"tags":["LocalMessagingConfiguration"],"summary":"Get's the configurations for all locations.","operationId":"LocalMessagingConfigurationGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocalMessagingConfiguration"}}}}},"put":{"tags":["LocalMessagingConfiguration"],"summary":"Creates, or updates, the configuration for the locations that are sent.","operationId":"LocalMessagingConfigurationPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/LocalMessagingConfiguration"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocalMessagingConfiguration"}}}}}},"/api/v4/LocaleSettings":{"get":{"tags":["LocaleSettings"],"operationId":"LocaleSettingsGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{}}},"/api/v4/Location/LocationAreaHistory":{"get":{"tags":["Location"],"summary":"Get the location area history for all locations","description":"When a Location's Location Area is changed, it is audited. Use this method to see all the timestamped changes that have been made.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"LocationGETBypageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocationLocationAreaHistory"}}}}}},"/api/v4/Location/{locationId}/LocationAreaHistory":{"get":{"tags":["Location"],"summary":"Get the location area history for a single location","description":"When a Location's Location Area is changed, it is audited. Use this method to see all the timestamped changes that have been made for a single Location.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"LocationGETBylocationIdAndpageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"locationId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocationLocationAreaHistory"}}}}}},"/api/v4/Location":{"get":{"tags":["Location"],"summary":"Get all Locations","description":"Use this method to get all locations.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"LocationGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Location"}}}}}},"/api/v4/Location/{id}":{"get":{"tags":["Location"],"summary":"Get a Location by id","operationId":"LocationGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Location"}}}}}},"/api/v4/LocationArea":{"get":{"tags":["LocationArea"],"summary":"Get all Location Areas","description":"Use this method to get all location areas.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"LocationAreaGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocationArea"}}}}}},"/api/v4/LocationArea/{id}":{"get":{"tags":["LocationArea"],"summary":"Get a Location Area by id","operationId":"LocationAreaGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/LocationArea"}}}}}},"/api/v4/MeasurementScheme":{"get":{"tags":["MeasurementScheme"],"summary":"Get all Measurment Schemes","description":"","operationId":"MeasurementSchemeGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MeasurementScheme"}}}}}},"/api/v4/MultipleChoiceNote/{id}":{"get":{"tags":["MultipleChoiceNote"],"summary":"Get Multiple Choice Note with Options by Id","operationId":"MultipleChoiceNoteGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MultipleChoiceNote"}}}}},"/api/v4/MultipleChoiceNote":{"get":{"tags":["MultipleChoiceNote"],"summary":"Get all Multiple Choice Note with Options","operationId":"MultipleChoiceNoteGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceNote"}}}}}},"/api/v4/MultipleChoiceProduct/{productId}":{"get":{"tags":["MultipleChoiceProduct"],"summary":"Get Multiple Choice Groups with Items for given Product Id","operationId":"MultipleChoiceProductGETByproductId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MultipleChoiceProductItem"}}}}},"/api/v4/MultipleChoiceProduct/Group":{"get":{"tags":["MultipleChoiceProduct"],"summary":"","operationId":"MultipleChoiceProductGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceGroup"}}}}},"put":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductPUTBymultipleChoiceGroups","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"multipleChoiceGroups","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceGroupUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceGroup"}}}}},"post":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceGroupRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceGroup"}}}}},"delete":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"200":{"description":"OK"}}}},"/api/v4/MultipleChoiceProduct/Group/{groupId}":{"get":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductGETBygroupId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"groupId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MultipleChoiceGroup"}}}}},"/api/v4/MultipleChoiceProduct/AddGroupsToProduct":{"post":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/MultipleChoiceProductGroupItemRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MultipleChoiceProductItem"}}}}},"/api/v4/MultipleChoiceProduct/RemoveGroupsToProduct":{"post":{"tags":["MultipleChoiceProduct"],"operationId":"MultipleChoiceProductPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/MultipleChoiceProductGroupItemRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/MultipleChoiceProductItem"}}}}},"/api/v4/MultipleChoiceProduct":{"get":{"tags":["MultipleChoiceProduct"],"summary":"Get all Products Multiple Choice Groups with Items","operationId":"MultipleChoiceProductGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/MultipleChoiceProductItem"}}}}}},"/api/v4/PopupNote":{"get":{"tags":["PopupNote"],"summary":"Get all PopupNotes","description":"Use this method to get all pop up notes.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"PopupNoteGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PopupNote"}}}}},"put":{"tags":["PopupNote"],"summary":"Update PopupNotes","description":"Use this method to update pop up notes.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"PopupNotePUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PopupNoteUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PopupNote"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["PopupNote"],"summary":"Create PopupNotes","description":"Use this method to create pop up notes.","operationId":"PopupNotePOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PopupNoteCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/PopupNote"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["PopupNote"],"operationId":"PopupNoteDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"No Content"},"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PopupNote"}}},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/PopupNote/{id}":{"get":{"tags":["PopupNote"],"summary":"Get a PopupNote by id","operationId":"PopupNoteGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PopupNote"}}}}},"/api/v4/Product/Stats":{"get":{"tags":["Product"],"summary":"Get referenced Product statistics","operationId":"ProductGET","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProductCount"}}}}},"/api/v4/product/{productId}/DuplicateProductByColour":{"post":{"tags":["Product"],"summary":"Duplicates a Product based based on a given Colour","description":"Use this method generate product colour variants.","operationId":"ProductPOSTByrequestAndproductId","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ProductDuplicateByColourRequest"}},{"name":"productId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/Product/{productId}/GenerateProductVariants":{"post":{"tags":["Product"],"summary":"Generates Product variants based based on a given VariantMap","description":"Use this method generate product variants.","operationId":"ProductPOSTByrequestAndproductId","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ProductGenerateVariantsRequest"}},{"name":"productId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/Product":{"get":{"tags":["Product"],"summary":"Get all Products","description":"Use this method to get all products.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ProductGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}}}},"put":{"tags":["Product"],"summary":"Update Products","description":"Use this method to update products.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"ProductPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["Product"],"summary":"Create Products","description":"Use this method to create products.\r\nThe GetById method can be used with \"showDeleted\" set as true in order to check that an existing product is deleted.","operationId":"ProductPOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["Product"],"summary":"Delete Products","operationId":"ProductDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"NoContent"},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/Product/{id}":{"get":{"tags":["Product"],"summary":"Get a Product by Id","operationId":"ProductGETByidAndshowDeleted","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"showDeleted","in":"query","description":"","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Product"}}}}},"/api/v4/ProductComposition/GetByProductId/{id}":{"get":{"tags":["ProductComposition"],"summary":"Get all ProductCompositions for a product.","description":"Include/excluded deleted products with showDeleted=true/false.","operationId":"ProductCompositionGETByidAndshowDeleted","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"showDeleted","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductComposition"}}}}}},"/api/v4/ProductComposition":{"get":{"tags":["ProductComposition"],"summary":"Get all ProductCompositions.","description":"Include/excluded deleted products with showDeleted=true/false.","operationId":"ProductCompositionGETBypageAndshowDeleted","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"showDeleted","in":"query","description":"","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductComposition"}}}}},"put":{"tags":["ProductComposition"],"summary":"Update ProductCompositions","operationId":"ProductCompositionPUTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductCompositionUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductComposition"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["ProductComposition"],"summary":"Create ProductCompositions","operationId":"ProductCompositionPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductCompositionCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/ProductComposition"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["ProductComposition"],"summary":"Delete ProductCompositions","operationId":"ProductCompositionDELETEByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"request","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"No Content"},"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductComposition"}}},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/ProductComposition/{id}":{"get":{"tags":["ProductComposition"],"summary":"Get a ProductComposition by id","operationId":"ProductCompositionGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProductComposition"}}}}},"/api/v4/ProductImage/UploadStatus/{uploadTransactionId}":{"get":{"tags":["ProductImage"],"operationId":"ProductImageGETByuploadTransactionId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"uploadTransactionId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ImageUploadResult"}}}}}},"/api/v4/ProductImage":{"post":{"tags":["ProductImage"],"summary":"Create Product Images","description":"Use this method to create product image links. Once these have been created, the actual images must be uploaded to S3 using the pre-signed URL.\r\n- AWS docs: https://docs.aws.amazon.com/AmazonS3/latest/dev/PresignedUrlUploadObject.html\r\n- If an image is marked as MainImage=true then it will be renamed to {ProductId}ProductImg{Extension}\r\ne.g. 123ProductImg.png.\r\n- Any images that are larger than 1024 x 1024 will be resized","operationId":"ProductImagePOSTByproductImageRequests","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productImageRequests","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductImageUpsertRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/PreSignedProductImageTransactionResponse"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["ProductImage"],"summary":"Delete Product Images","operationId":"ProductImageDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"NoContent"},"400":{"description":"Validation / Invalid ID error.","schema":{"type":"string"}}}}},"/api/v4/ProductReferenceCode/Product/{id}":{"get":{"tags":["ProductReferenceCode"],"summary":"Get a ProductReferenceCode by product id","description":"Use this method to get a product reference code by product id.","operationId":"ProductReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProductReferenceCode"}}}}},"/api/v4/ProductReferenceCode":{"get":{"tags":["ProductReferenceCode"],"summary":"Get all ProductReferenceCodes","description":"Use this method to get all the product reference codes.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.\r\nReference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\nReference code methods always deal with the Reference codes registered with the authorizing token.","operationId":"ProductReferenceCodeGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductReferenceCode"}}}}},"put":{"tags":["ProductReferenceCode"],"summary":"Update ProductReferenceCodes","description":"Use this method to update ProductReferenceCodes.   \r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"ProductReferenceCodePUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductReferenceCodeUpdateRequest"}}}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductReferenceCode"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["ProductReferenceCode"],"summary":"Create ProductReferenceCodes","description":"Use this method to create ProductReferenceCodes.\r\n- Reference codes are convenient way of storing the reference of an entity from an another system that is related to an EposNow entity. \r\n- Reference codes are only registered against your Auth Token.","operationId":"ProductReferenceCodePOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductReferenceCodeCreateRequest"}}}],"responses":{"201":{"description":"Created","schema":{"type":"array","items":{"$ref":"#/definitions/ProductReferenceCode"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["ProductReferenceCode"],"summary":"Delete ProductReferenceCodes","description":"Use this method to delete ProductReferenceCodes.","operationId":"ProductReferenceCodeDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"NoContent"},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/ProductReferenceCode/{id}":{"get":{"tags":["ProductReferenceCode"],"summary":"Get a ProductReferenceCode by id","description":"Use this method to get a product reference code.","operationId":"ProductReferenceCodeGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProductReferenceCode"}}}}},"/api/v4/ProductStock/Product/{productId}":{"get":{"tags":["ProductStock"],"summary":"Get ProductStocks for Product.","description":"Use this method to get all stocks for a product.","operationId":"ProductStockGETByproductIdAndpage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/IProductStock"}}}}}},"/api/v4/ProductStock/Location/{locationId}":{"get":{"tags":["ProductStock"],"summary":"Get ProductStocks for Location","description":"Use this method to get all product stocks in a location.","operationId":"ProductStockGETBylocationIdAndpage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"locationId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/IProductStock"}}}}}},"/api/v4/ProductStock/Product/{productId}/Location/{locationId}":{"get":{"tags":["ProductStock"],"summary":"Get Stocks for a Product in a Location","description":"Use this method to get stock for a product in a location.","operationId":"ProductStockGETByproductIdAndlocationId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"productId","in":"path","description":"","required":true,"type":"integer","format":"int32"},{"name":"locationId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/IProductStock"}}}}},"/api/v4/ProductStock/Add":{"post":{"tags":["ProductStock"],"summary":"Add product stock","description":"Use this method to add a stock for a product.","operationId":"ProductStockPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ProductStockAddRequest"}}],"responses":{"200":{"description":"Product stock added.","schema":{"$ref":"#/definitions/IProductStock"}},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/ProductStock/Update":{"post":{"tags":["ProductStock"],"summary":"Update Product Stock","description":"Use this method to add/remove a stock for a products.","operationId":"ProductStockPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ProductStockRequest"}}}],"responses":{"200":{"description":"OK"},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/ProductStock/Remove":{"post":{"tags":["ProductStock"],"summary":"Remove product stock","description":"Use this method to remove a stock for a product.","operationId":"ProductStockPOSTByrequest","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ProductStockRemoveRequest"}}],"responses":{"200":{"description":"Product stock removed.","schema":{"$ref":"#/definitions/IProductStock"}},"400":{"description":"Validation error.","schema":{"type":"string"}}}}},"/api/v4/ProductStock":{"get":{"tags":["ProductStock"],"summary":"Get all product stocks.","description":"Use this method to get multiple product stocks.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"ProductStockGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProductStock"}}}}}},"/api/v4/ProductStockEvent":{"get":{"tags":["ProductStockEvent"],"summary":"Gets all product stock events within an id interval.","operationId":"ProductStockEventGETByfromIdAndtoId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"fromId","in":"query","description":"","required":true,"type":"integer","format":"int32"},{"name":"toId","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProductStockEvent"}}}}},"/api/v4/PurchaseOrder/GetByDate":{"get":{"tags":["PurchaseOrder"],"operationId":"PurchaseOrderGETByfromDateAndtoDateAndsupplierIdAndtoLocationAndstatusIdAndlocationAreaIdAndpageNumber","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"fromDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"toDate","in":"query","required":true,"type":"string","format":"date-time"},{"name":"supplierId","in":"query","required":false,"type":"integer","format":"int32"},{"name":"toLocation","in":"query","required":false,"type":"integer","format":"int32"},{"name":"statusId","in":"query","required":false,"type":"integer","format":"int32"},{"name":"locationAreaId","in":"query","required":false,"type":"integer","format":"int32"},{"name":"pageNumber","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PurchaseOrder"}}}}}},"/api/v4/PurchaseOrder/{id}":{"get":{"tags":["PurchaseOrder"],"operationId":"PurchaseOrderGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PurchaseOrder"}}}}},"/api/v4/RefundReason":{"get":{"tags":["RefundReason"],"summary":"Get all RefundReasons","description":"Use this method to get all refund reasons.\r\n- Supports pagination via <strong>page</strong> parameter. 200 response items per page.\r\n- Not providing <strong>page</strong> will return items for page 1.","operationId":"RefundReasonGETBypage","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/RefundReason"}}}}},"put":{"tags":["RefundReason"],"summary":"Update RefundReasons","description":"Use this method to update refund reasons.\r\n- This method supports only full updates, you must supply the full object model when updating. If you do not provide required parameters the operation could fail,\r\noptional parameters that are not provided will be set to their default value.","operationId":"RefundReasonPUTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/RefundReasonUpdateRequest"}}}],"responses":{"200":{"description":"RefundReasons updated OK.","schema":{"type":"array","items":{"$ref":"#/definitions/RefundReason"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"post":{"tags":["RefundReason"],"summary":"Create RefundReasons","description":"Use this method to create refund reasons.","operationId":"RefundReasonPOSTByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/RefundReasonCreateRequest"}}}],"responses":{"201":{"description":"RefundReasons created OK.","schema":{"type":"array","items":{"$ref":"#/definitions/RefundReason"}}},"400":{"description":"Validation error.","schema":{"type":"string"}}}},"delete":{"tags":["RefundReason"],"summary":"Delete RefundReasons","operationId":"RefundReasonDELETEByitems","consumes":["application/json","text/json","application/xml","text/xml","application/x-www-form-urlencoded"],"produces":[],"parameters":[{"name":"items","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/DeleteRequest"}}}],"responses":{"204":{"description":"RefundReasons deleted OK."},"400":{"description":"Validation / Invalid id error.","schema":{"type":"string"}}}}},"/api/v4/RefundReason/{id}":{"get":{"tags":["RefundReason"],"summary":"Get RefundReason by id","operationId":"RefundReasonGETByid","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/RefundReason"}}}}},"/api/v4/Report/AverageProductSales":{"get":{"tags":["Report"],"summary":"Get average daily sales by product","description":"Use this method to get a the average sales of all products over the\r\nspecified period. Optionally filter by location id.","operationId":"ReportGETBystartDateAndendDateAndlocationId","consumes":[],"produces":["application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"startDate","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"endDate","in":"query","description":"","required":true,"type":"string","format":"date-time"},{"name":"locationId","in":"query",
[...]
